Bug 263681 - segfaults on setting expire
segfaults on setting expire
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
7
x86_64 All
high Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-29 11:19 EDT by Neal Becker
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.5.7-10.svn20070926.ent.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:03:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 149342 None None None Never

  None (edit)
Description Neal Becker 2007-08-29 11:19:03 EDT
Description of problem:
Program received signal SIGSEGV, Segmentation fault.
[Switching to LWP 31605]
0x0000000000000031 in ?? ()
(gdb) where
#0  0x0000000000000031 in ?? ()
#1  0x0000003a49c1b548 in KMMoveCommand::execute (this=0xd3e430) at 
kmcommands.cpp:2125
#2  0x0000003a49c0f840 in KMCommand::slotPostTransfer (this=0xd3e430, 
result=KMCommand::OK) at kmcommands.cpp:257
#3  0x0000003a49c15383 in KMCommand::qt_invoke (this=0xd3e430, _id=5, 
_o=0x7fff16d87810) at kmcommands.moc:148
#4  0x0000003a49c15539 in KMMenuCommand::qt_invoke (this=0xd01e90, 
_id=13656432, _o=0xd2b070) at kmcommands.moc:2801
#5  0x0000003a49c155bd in KMMoveCommand::qt_invoke (this=0xd3e430, _id=5, 
_o=0x7fff16d87810) at kmcommands.moc:2987
#6  0x0000003c241629e9 in QObject::activate_signal () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#7  0x0000003a49c0e3f0 in KMCommand::messagesTransfered (this=<value optimized 
out>, t0=KMCommand::OK)
    at kmcommands.moc:126
#8  0x0000003a49c15d8a in KMCommand::transferSelectedMsgs (this=0xd3e430) at 
kmcommands.cpp:352
#9  0x0000003a49c15397 in KMCommand::qt_invoke (this=0xd3e430, _id=4, 
_o=0x7fff16d87990) at kmcommands.moc:147
#10 0x0000003a49c15539 in KMMenuCommand::qt_invoke (this=0xd01e90, 
_id=13656432, _o=0xd2b070) at kmcommands.moc:2801
#11 0x0000003a49c155bd in KMMoveCommand::qt_invoke (this=0xd3e430, _id=4, 
_o=0x7fff16d87990) at kmcommands.moc:2987
#12 0x0000003c241629e9 in QObject::activate_signal () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#13 0x0000003c2449a784 in QSignal::signal () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#14 0x0000003c2417ddd5 in QSignal::activate () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#15 0x0000003c24185d88 in QSingleShotTimer::event () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#16 0x0000003c241019b5 in QApplication::internalNotify () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#17 0x0000003c24102c50 in QApplication::notify () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#18 0x0000003c259cca58 in KApplication::notify () 
from /usr/lib64/libkdecore.so.4
#19 0x0000003c240f6bcc in QEventLoop::activateTimers () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#20 0x0000003c240b02d1 in QEventLoop::processEvents () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#21 0x0000003c24119111 in QEventLoop::enterLoop () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#22 0x0000003c24118fe2 in QEventLoop::exec () 
from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#23 0x00000000004028f4 in main (argc=1, argv=<value optimized out>) at 
main.cpp:110
#24 0x0000003f9ca1dab4 in __libc_start_main () from /lib64/libc.so.6
#25 0x0000000000402649 in _start ()

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2007-08-29 11:23:03 EDT
much better chance of attention/fix if this were submitted upstream to
bugs.kde.org too.
Comment 2 Rex Dieter 2007-08-29 12:37:45 EDT
Thanks Neal.
Comment 3 Fedora Update System 2007-10-10 21:44:21 EDT
kdepim-3.5.7-10.svn20070926.ent.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdepim'
Comment 4 Fedora Update System 2007-10-24 03:03:04 EDT
kdepim-3.5.7-10.svn20070926.ent.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.